Bug 833484 - (CVE-2012-2086) CVE-2012-2086 gajim: SQL injection due improper sanitization of conversation logs
CVE-2012-2086 gajim: SQL injection due improper sanitization of conversation ...
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 833485
  Show dependency treegraph
Reported: 2012-06-19 10:51 EDT by Jan Lieskovsky
Modified: 2012-08-06 05:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-06 05:21:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-19 10:51:58 EDT
A SQL injection flaw was found in the way the logger module of Gajim, a Jabber client written in PyGTK, performed sanitization of conversation messages, when retrieving list of days having log entries. A remote attacker could use a specially-crafted Jabber ID (JID), which once processed by the Gajim's get_last_conversation_lines() method could lead to arbitrary SQL statement execution.

Upstream ticket:
[1] https://trac.gajim.org/ticket/7034

Relevant patches:
[2] https://trac.gajim.org/changeset/bfd5f94489d8
[3] https://trac.gajim.org/changeset/988e38ce0e0c

Other references:
[4] http://seclists.org/oss-sec/2012/q2/34
Comment 1 Jan Lieskovsky 2012-06-19 10:54:16 EDT
While this issue has been previously corrected in the versions of the gajim package, as shipped with Fedora release of 15, 16, 17, and as shipped with Fedora EPEL 6, it still affects the version of the gajim package, as shipped with Fedora EPEL 5. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-06-19 10:55:39 EDT
Created gajim tracking bugs for this issue

Affects: epel-5 [bug 833485]
Comment 3 Fedora Update System 2012-07-07 15:30:19 EDT
gajim-0.12.5-1.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.